pcl::gpu::people::ProbabilityProcessor Class Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/people/include/pcl/gpu/people/probability_processor.h>`

## Public Types

using | Ptr = shared_ptr< ProbabilityProcessor >
using | ConstPtr = shared_ptr< const ProbabilityProcessor >
using | Depth = DeviceArray2D< unsigned short >
using | Labels = DeviceArray2D< unsigned char >

## Public Member Functions

| ProbabilityProcessor ()
void | SelectLabel (const Depth &depth, Labels &labels, pcl::device::LabelProbability &probabilities)
| This will merge the votes from the different trees into one final vote, including probabilistic's. More...
void | CombineProb (const Depth &depth, pcl::device::LabelProbability &probIn1, float weight1, pcl::device::LabelProbability &probIn2, float weight2, pcl::device::LabelProbability &probOut)
| This will combine two probabilities according their weight. More...
void | WeightedSumProb (const Depth &depth, pcl::device::LabelProbability &probIn, float weight, pcl::device::LabelProbability &probOut)
| This will sum a probability multiplied with it's weight. More...
float * | CreateGaussianKernel (float sigma, int kernelSize)
| This will create a Gaussian Kernel. More...
int | GaussianBlur (const Depth &depth, pcl::device::LabelProbability &probIn, DeviceArray< float > &kernel, pcl::device::LabelProbability &probOut)
| This will do a GaussianBlur over the LabelProbability. More...
int | GaussianBlur (const Depth &depth, pcl::device::LabelProbability &probIn, DeviceArray< float > &kernel, pcl::device::LabelProbability &probTemp, pcl::device::LabelProbability &probOut)
| This will do a GaussianBlur over the LabelProbability. More...

## Detailed Description

Definition at line 60 of file probability_processor.h.

## Member Typedef Documentation

## ConstPtr

using pcl::gpu::people::ProbabilityProcessor::ConstPtr = shared_ptr<const ProbabilityProcessor>

Definition at line 64 of file probability_processor.h.

## Depth

using pcl::gpu::people::ProbabilityProcessor::Depth = DeviceArray2D<unsigned short>

Definition at line 65 of file probability_processor.h.

## Labels

using pcl::gpu::people::ProbabilityProcessor::Labels = DeviceArray2D<unsigned char>

Definition at line 66 of file probability_processor.h.

## Ptr

using pcl::gpu::people::ProbabilityProcessor::Ptr = shared_ptr<ProbabilityProcessor>

Definition at line 63 of file probability_processor.h.

## Constructor & Destructor Documentation

## ProbabilityProcessor()

pcl::gpu::people::ProbabilityProcessor::ProbabilityProcessor | ( |  | ) |

## Member Function Documentation

## CombineProb()

void pcl::gpu::people::ProbabilityProcessor::CombineProb | ( | const Depth & | depth,
|  | pcl::device::LabelProbability & | probIn1,
|  | float | weight1,
|  | pcl::device::LabelProbability & | probIn2,
|  | float | weight2,
|  | pcl::device::LabelProbability & | probOut
| ) |  |

This will combine two probabilities according their weight.

## CreateGaussianKernel()

float* pcl::gpu::people::ProbabilityProcessor::CreateGaussianKernel | ( | float | sigma,
|  | int | kernelSize
| ) |  |

This will create a Gaussian Kernel.

## GaussianBlur() [1/2]

int pcl::gpu::people::ProbabilityProcessor::GaussianBlur | ( | const Depth & | depth,
|  | pcl::device::LabelProbability & | probIn,
|  | DeviceArray< float > & | kernel,
|  | pcl::device::LabelProbability & | probOut
| ) |  |

This will do a GaussianBlur over the LabelProbability.

## GaussianBlur() [2/2]

int pcl::gpu::people::ProbabilityProcessor::GaussianBlur | ( | const Depth & | depth,
|  | pcl::device::LabelProbability & | probIn,
|  | DeviceArray< float > & | kernel,
|  | pcl::device::LabelProbability & | probTemp,
|  | pcl::device::LabelProbability & | probOut
| ) |  |

This will do a GaussianBlur over the LabelProbability.

## SelectLabel()

void pcl::gpu::people::ProbabilityProcessor::SelectLabel | ( | const Depth & | depth,
|  | Labels & | labels,
|  | pcl::device::LabelProbability & | probabilities
| ) |  |

This will merge the votes from the different trees into one final vote, including probabilistic's.

## WeightedSumProb()

void pcl::gpu::people::ProbabilityProcessor::WeightedSumProb | ( | const Depth & | depth,
|  | pcl::device::LabelProbability & | probIn,
|  | float | weight,
|  | pcl::device::LabelProbability & | probOut
| ) |  |

This will sum a probability multiplied with it's weight.

The documentation for this class was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/people/include/pcl/gpu/people/probability_processor.h